
#include <Spectre/System/Log.h>
#include "Win32MsgBuffer.h"

Win32MsgBuffer::Win32MsgBuffer() :
index	(0)
{
}

bool Win32MsgBuffer::postMessage(MSG msg)
{
	if (index < WIN32_MSG_BUFFER_MAX_SIZE) {
		messages[index++] = msg;
		return true;
	}
	log("Win32MsgBuffer: Queue overflow\n");
	return false;
}